Bug 212518 - security/softhsm2: Fails to register with system
Summary: security/softhsm2: Fails to register with system
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-09 11:53 UTC by dwmw2
Modified: 2018-01-08 13:33 UTC (History)
3 users (show)

See Also:
jaap: maintainer-feedback+


Attachments
patch to fix problem (913 bytes, patch)
2018-01-08 11:33 UTC, Jaap Akkerhuis
jaap: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dwmw2 2016-09-09 11:53:58 UTC
See the more sensible use case filed in bug 212517 but for the purpose of this report it can be reproduced thus:


 # pkg install softhsm2 p11-kit > /dev/null && p11-kit list-modules | grep -ic softhsm
0

That is, when softhsm2 is installed, it does not install a p11-kit .module file for itself (or even direct the user to do so), and thus applications don't *find* and use it. Ideally this stuff should Just Work™.
Comment 2 Jaap Akkerhuis 2016-09-10 07:54:57 UTC
I'm following the discussion on the issue and will incorporate when it comes available
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-01-07 18:55:26 UTC
Is this still a problem or is it fixed?
Comment 4 Jaap Akkerhuis 2018-01-08 10:41:06 UTC
It is fixed in the upstream but never hit the port. I will have a revised port out ASAP.
Comment 5 Jaap Akkerhuis 2018-01-08 11:33:41 UTC
Created attachment 189509 [details]
patch to fix problem

Installs the p11 module and bumps the revision
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-01-08 12:32:52 UTC
Quick test
p11-kit list-modules | grep -ic softhsm
6

seens solved, thanks
Comment 7 Kurt Jaeger freebsd_committer 2018-01-08 13:33:04 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2018-01-08 13:33:51 UTC
A commit references this bug:

Author: pi
Date: Mon Jan  8 13:32:53 UTC 2018
New revision: 458409
URL: https://svnweb.freebsd.org/changeset/ports/458409

Log:
  security/softhsm2: fix install of p11-kit .module file

  - See also
    https://github.com/opendnssec/SoftHSMv2/issues/230

  PR:		212518
  Submitted by:	jaap@NLnetLabs.nl (maintainer)
  Reported by:	dwmw2@infradead.org
  Tested by:	w.schwarzenfeld@utanet.at

Changes:
  head/security/softhsm2/Makefile
  head/security/softhsm2/pkg-plist